Page MenuHomePhabricator

Add monolingual language code shy
Closed, ResolvedPublic

Description

Please add the language code shy [1] to the list of language codes supported for monolingual text values.

Language name in the language itself AND English: Tacawit / Shawiya
The used script, if not obvious: Berber Latin alphabet https://www.wikidata.org/wiki/Q2532709
Where and when the language was or is used: Algeria
The Wikidata item id: https://www.wikidata.org/wiki/Q33274

Usage example: in https://www.wikidata.org/wiki/Q33274 for P1559 would be Tacawit

[1] http://www-01.sil.org/iso639-3/documentation.asp?id=shy

Event Timeline

Helmoony created this task.Jan 12 2018, 4:09 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 12 2018, 4:09 AM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptJan 13 2018, 2:38 PM

Change 404081 had a related patch set uploaded (by Mbch331; owner: Mbch331):
[mediawiki/extensions/Wikibase@master] Added monolingual code shy

https://gerrit.wikimedia.org/r/404081

Mbch331 claimed this task.Jan 13 2018, 3:12 PM
Mbch331 added a subscriber: Mbch331.

Prepared a patch

Mbch331 moved this task from Backlog to Doing on the good first bug board.
Mbch331 moved this task from Unsorted to Languages on the Community-consensus-needed board.
Restricted Application added a subscriber: alanajjar. · View Herald TranscriptFeb 16 2018, 8:06 PM

@GerardM @jhsoby Is shy allowed as a monolingual language?

There is imho no problem, an individual language..
https://www.ethnologue.com/subgroups/zenati
Thanks,

GerardM

Change 404081 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Added monolingual code shy

https://gerrit.wikimedia.org/r/404081

Lydia_Pintscher closed this task as Resolved.May 3 2018, 9:37 AM

@Helmoony This is now done! You can add "shy" in the monolingual field.
Please note that the language will not be displayed when you type the code, but you can publish the statement anyway, and the language will appear correctly.

@Lea_Lacroix_WMDE Hello its steel doesn't work

@Vikoula5 Yes it works, I just tried in the sandbox. You can enter "shy" in the field, even if nothing appears in the selection, you can publish the statement and it appears correctly.

If it doesn't work for you, can you explain what you tried to do?

Thank you @Lea_Lacroix_WMDE.
I explain: when i go to any page at the top for putting (Label, Description or Also known as) i can't do that in Shy (like here).

@Vikoula5 OK, this is something different. I created a new ticket for this task: T196473

238482n375 removed Mbch331 as the assignee of this task.Jun 15 2018, 8:04 AM
238482n375 lowered the priority of this task from Low to Lowest.
238482n375 moved this task from Next Up to In Code Review on the Analytics-Kanban board.
238482n375 edited subscribers, added: 238482n375; removed: Aklapper.

SG9tZVBoYWJyaWNhdG9yCk5vIG1lc3NhZ2VzLiBObyBub3RpZmljYXRpb25zLgoKICAgIFNlYXJjaAoKQ3JlYXRlIFRhc2sKTWFuaXBoZXN0ClQxOTcyODEKRml4IGZhaWxpbmcgd2VicmVxdWVzdCBob3VycyAodXBsb2FkIGFuZCB0ZXh0IDtyBDQy1CWS1TQSC3IEdQTApZb3VyIGJyb3dzZXIgdGltZXpvbmUgc2V0dGluZyBkaWZmZXJzIGZyb20gdGhlIHRpbWV6b25lIHNldHRpbmcgaW4geW91ciBwcm9maWxlLCBjbGljayB0byByZWNvbmNpbGUu